Goth plug-in

The Goth plug-in produces a very high-contrast effect for extreme stylization. The Goth effect is all about reducing an image into three color values - dark, light and midtone - then mixing them into a high-contrast image. Goth makes use of an internal color rotoscoping to create a high-contrast effect for your footage.

Goth runs an internal rotoscoping algorithm to flatten the entire image into three colors: a dark, a light, and a midtone. You can change the algorithm used, the three colors involved, and how much or little the image is affected. The Goth filter creates a very stylized look, like the Blacklight and Heat Vision filters. Therefore its controls are more limited than Roto Toon and Outlines Only. There is a Blur section, as with all of the ToonIt filters. Most of the other options are color-related.

The full control list for Goth plug-in.

Type pop-up

This pop-up option selects which Goth algorithm will be used. Goth1 and Goth2 are two different methods for assigning locations to colors in a three-color palette.

Goth1 is the default and it has relatively more Dark Color than Goth2. Goth2 uses a different mapping method. This means that in Goth2, Light Color shows up in some regions that were Mid-colored in Goth1, and Mid Color shows up in some regions that were Dark-colored in Goth1. It's a bit unpredictable, as the difference often depends on the image itself.

Above and below: At left, the original image. In center, Goth 1. At right, Goth 2.
The source image determines how much of a difference Goth Type will have.

Light Color well

A color well that sets the color of the lightest tone. The default is white.

Mid Color well

A color well that sets the color of the midtone. The default is red.

Typically there is more Mid Color in Goth1 than in Goth2. However, this really depends on the image and on the other Goth settings, especially Level. With small Level tweaks, like raising Level to 5%, the amount of Mid Color will reverse and Goth2 will show more Mid Color than Goth1.

Dark Color well

A color well that sets the color of the darkest tone. The default is black.

Left to Right: Mid Color is green. Dark Color is red. Light Color is tan, Mid Color is gold.

Level

Level sets the threshold or ‘depth’ of the Goth effect. At a lower value, the image will fill with black. At a high value, the image will fill with white.

Left to Right: Level at 30, 50 (default), and 70.

Color Width

Sets how much of the midtone color appears in the final render. A higher value will fill more of the frame with the midtone color.

Left to Right: Color Width at 20, 50 (default), and 80.

At left, Level at 70, Color Width at 80. In middle, Level 80, Color Width 20. At right, Level 60, Color Width 40. Use the two controls to design a unique Goth stylization.

Antialias

Antialias is a percentage slider to help tone down any jagged edges for the final result. Set to 100% by default. Higher values yield more correction.

Blend With Original

This is a percentage slider that will fade the Goth results back into the original image. By default, this is set to 0 and turned off. Higher values make more of the underlying image show through. Setting a mid-range value can create some subtle and interesting effects.

Left to Right: Blend With Original at 0 (default), 30 and 60.

Blur group

This group of controls sets the Blur style and properties used by the Goth rotoscoping algorithm.

Blur Type pop-up

These three Blur methods give you a choice in the type of blending and smoothing that occurs among the line segments created by Goth. Select between a Box Blur, Gaussian Blur or Supersmart Blur for the rotoscoping algorithm to use. Each Blur Type will unlock different Blur options, which are explained on this page.

Blur Type> Box Blur

Box Blur is selected by default. This option will generally give you the best final results. In this blurring technique, each pixel in the resulting image has a value equal to the average value of its neighboring pixels in the input image. A Box Blur can approximate a Gaussian Blur effect but it uses a much simpler algorithm which is significantly faster.

Blur Type> Gaussian Blur

Gaussian Blur tends to soften the image. This blurring technique typically reduces image noise and reduces detail. The Gaussian formula produces concentric circles of distribution from a center point, with the original pixel's value receives the heaviest weight and neighboring pixels receive smaller weights as their distance from the original pixel increases. This results in a smooth blur that preserves boundaries and edges better than more uniform blurring options.

Blur Type> Supersmart Blur (NEW to v2.0)

Supersmart Blur creates a smarter, more detailed blur. This option will smooth and simplify an image or frames of a video while still maintaining high-contrast detail. The advantage of Supersmart is that it can be better at at removing unwanted noise and artifacts, while still making each frame look relatively crisp and in focus.

Box Blur and Gaussian Blur are based on bilateral filtering, with some additional tweaks. Supersmart Blur is a smart blur that is based on a different principle. You will see less difference between the Box and Gaussian Blurs than you will in comparison to the Supersmart Blur.

Left to right: Box Blur, Gaussian Blur, Supersmart Blur. Box and Gaussian always have less difference than Supersmart.

Radius

This control is active for all three Blur Type options.

Radius defines the 'radius', or size of the area in an original video frame whose pixel colors are blended together. This blend area sets the color of each pixel in a blurred video frame of the selected Blur Type.

The default is 2 and value range is 1 to 30. A higher Radius will smooth out the segment edges between the low, midtone and highlight colors. The edges will become more rounded, especially if you have Thresh(Threshold) set higher than the default value. At a higher Radius, the image will be translated into fewer lines. A value of 0 will turn off the Blur Type.

Left to Right: Radius 2 (default), 15, 30. At a higher value, the colors blend more smoothly.

Thresh

This control is active when Box Blur or Gaussian Blur are chosen.

Threshold determines how similar or dissimilar colors will be affected by the blurring before being passed to the edge-detection algorithm. Default is 18 and value range is 1 to 35. The higher this value is, the wider the range of colors that will be blurred together.

You can look at Thresh as working in a similar way to the Tolerance value in Adobe Photoshop's Magic Wand selection tool. Only colors that are inside the Radius' area definition and within the Thresh/Tolerance of the color at the center of the blur will be blurred together.

Left to right: Thresh 1, 20 (default), 35. Using Goth1 option. At a higher value, there is more blend/blur.

Left to right: Thresh 1, 20 (default), 35. Using Goth2 option. At a higher value, there is more blend/blur.

Quality pop-up

This control is active when Box Blur or Gaussian Blur are chosen.

The Quality menu lets you switch between a quick-and-dirty and a high-quality blur. The pop-up menu has two options, a Fast blur and High blur. Where you leave this option depends in part upon how fast your system is. The Fast setting renders more quickly but with less detail. The High setting takes longer to render but gives more definition to the edges. Leave Quality set to Fast when you need interaction to be relatively quick. Always set it to High before rendering the image for final output.

The Blur Quality value determines the amount of detail that is affected by any setting. The image edges won’t hold as true to the original image at a lower Fast Quality than at the High Quality setting. This control is disabled when the Supersmart option is chosen for Blur Type.

Note about Supersmart controls

You can look at Blurring, Test Radius and Blur Radius as three controls that work directly with each other when Supersmart Blur is chosen.

Imagine that Blur Radius creates a blurred image from the original source footage. Supersmart Blur wants to blend the original and blurred images together. To do this, Blurring and Test Radius work together to create something like an alpha channel for the Supersmart blending. Where the level of detail/contrast is high in the original image, more of that original shows up in the final blended result. Where the level of detail/contrast is low, less of the original image shows up in the result.

Blur Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

As mentioned above, Blur Radius essentially generates a blurred image from your original image. Values go from 1 to 30. The default is 10. At higher values, the blurred image that Supersmart Blur creates is... blurrier! This blurry image is then selectively blended with the original image to produce the output.

In our tests, Supersmart Blur gives the best results when Blur Radius is kept around twice Test Radius, but your mileage may vary. (see examples below in Test Radius)

Left to right: Blur Radius of 1 and 30. Using Goth1 option. The higher the value, the more blurry the image is.

Left to right: Blur Radius of 1 and 30. Using Goth2 option. The higher the value, the more blurry the image is.

Blurring (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Blurring creates a defined amount of blurring on the image. Values go from 0 to 100. The default is 25% and this creates a slight blur.

At 0%, Blurring copies the original image to the output, so none of the image is blurred. At 100%, it copies the blurred image (that Blur Radius has made) to the output, so all of the image is blurred. At mid-range values like 50%, Supersmart Blur creates an intermediate blend of the original and blurred images.

Left to right: Blurring of 1 and 30. Using Goth1 option. The higher the value, the more blurring there is. In this case, high values quickly blow out the features.

Test Radius (NEW to v2.0)

This control is active when Supersmart Blur is chosen.

Test Radius has a unique role. It tests or measures the contrast and level of detail in a defined area (or 'radius') of the original image. This lets Supersmart Blur figure out how much level of detail there is in each part of the source image so it can do its magic. Values go from 1 to 30. The default is 5. Higher values sample from a larger area (or radius) of the image.

Left to right: Test Radius of 1 and 30.

At left, Test Radius 1, Blur Radius 20. At right, Test Radius 20, Blur Radius 30. Using Goth1 option, Level at 35.
Often the results of Test Radius look best when Blur Radius is double its value. In this case, we have created some nice looks by varying the controls.